## poppler 0.12.2-2.1.maemo5v1

=== debian/changelog ===
poppler (0.12.2-2.1.maemo5v1) fremantle; urgency=low

  * Optified for Fremantle.
  * Removed QT packages.

 -- Ricky Brent <debpkg@rickybrent.com>  Mon, 25 Jan 2010 09:21:25 -0800

poppler (0.12.2-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2009-3938 (Closes: #534680)

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 22 Dec 2009 16:11:27 +0100

poppler (0.12.2-2) unstable; urgency=low

  * Switch to quilt to manage patches.
  * 01_revert_abi_change.patch: revert upstream commit that introduced 
    an ABI change in a stable release. Closes: #558463.
  * 02_autohinting_abi_compatibility.patch: revert part of another 
    upstream commit for a similar reason.

 -- Josselin Mouette <joss@debian.org>  Mon, 30 Nov 2009 16:51:53 +0100

poppler (0.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Sat, 28 Nov 2009 13:24:28 +0100

poppler (0.12.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include fofi/*.h in /usr/include/poppler/fofi. Closes: #553445.

 -- Matt Kraai <kraai@debian.org>  Tue, 10 Nov 2009 19:51:32 -0800

poppler (0.12.0-2) unstable; urgency=low

  * copyright: add complete list of copyright holders.
  * Upload to unstable. Hold on to your pants.

 -- Josselin Mouette <joss@debian.org>  Sat, 17 Oct 2009 10:48:03 +0200

poppler (0.12.0-1) experimental; urgency=low

  * New upstream release. Closes: #530731.
  * Rename libpoppler4 to libpoppler5.
  * Bump shlibs versions.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Sep 2009 16:39:17 +0200

poppler (0.10.6-1) unstable; urgency=critical

  * Fix section for the debug package.
  * New upstream release.
    + Fix problems that happen when parsing broken JBIG2 files.
      CVE-2009-0799, CVE-2009-0800, CVE-2009-1179, CVE-2009-1180,
      CVE-2009-1181, CVE-2009-1182, CVE-2009-1183, CVE-2009-1187, 
      CVE-2009-1188.
  * Bump libqt4 requirement.
  * 10_jpxstream_int_crash.patch: removed, upstream has merged a 
    different fix quite a while ago.
  * Standards version is 3.8.1.

 -- Josselin Mouette <joss@debian.org>  Wed, 01 Apr 2009 18:30:04 +0200

poppler (0.10.5-1) unstable; urgency=low

  [ Pino Toscano ]
  * New upstream release, no API nor ABI changes.
    + Fixes crash when rendering documents with optional content.
      (Closes: #519494)
  * Remove lintian override for poppler-dbg, which is no more needed with
    lintian >= 2.2.1.

 -- Josselin Mouette <joss@debian.org>  Wed, 01 Apr 2009 15:19:53 +0200

poppler (0.10.4-3) unstable; urgency=low

  * Revert previous upload, now openjpeg was built successfully on 
    alpha.
  * Build-depend on libglib2.0-doc to ensure proper xrefs.

 -- Josselin Mouette <joss@debian.org>  Tue, 10 Mar 2009 12:03:06 +0100

poppler (0.10.4-2) unstable; urgency=low

  * Don’t require openjpeg on alpha, since it doesn’t build there.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Mar 2009 03:33:50 +0100

poppler (0.10.4-1) unstable; urgency=low

  [ Pino Toscano ]
  * New upstream stable release, with ABI and API changes wrt poppler 0.8.
    - Rename libpoppler3 to libpoppler4, libpoppler-glib3 to libpoppler-glib4;
      libpoppler-qt2 and libpoppler-qt4-3 are not renamed; update control,
      DEB_DH_MAKESHLIBS_ARGS_* in rules, and rename install files.
    - Add shlib version for libpoppler-qt4-3.
    - Drop patches 60_manpages-cfg-flag.patch, 61_manpages-hyphens.patch, and
      62_pdftops-mandatory-arg.patch, merged upstream.
  * Build-dep on libopenjpeg-dev for better JPEG2000 reading.

  [ Josselin Mouette ]
  * Build-depend explicitly on libjpeg-dev, libfreetype6-dev and 
    libxml2-dev.
  * Bump requirement on libqt4-dev.

 -- Josselin Mouette <joss@debian.org>  Fri, 06 Mar 2009 12:54:09 +0100

poppler (0.8.7-1) unstable; urgency=low

  * Bump up Standards-Version to 3.8.0.
  * New patch, 61_manpages-hyphens, fixes escaping of hyphens in man pages;
    FreeDesktop #17225.
  * New patch, 62_pdftops-mandatory-arg, fixes synopsis of pdftops in man page
    to clarify that a PDF file is required in all cases; FreeDesktop #17226;
    closes: #491816.
  * Build-dep on cdbs (>= 0.4.52) and add a lintian override with rationale
    for the following lintian warning:
    W: poppler-dbg: dbg-package-missing-depends poppler
  * Add xrefs and CVE for #489756 in 0.8.5-1 as I didn't merge the 0.8.4-1.1
    NMU.
  * New upstream release; no API change, bug fixes.

 -- Loic Minier <lool@dooz.org>  Wed, 20 Aug 2008 17:36:12 +0200

poppler (0.8.6-1) unstable; urgency=low

  * Fix /usr/share/gtk-doc/html/poppler symlink to point at
    /usr/share/doc/libpoppler-glib-dev/html/poppler instead of
    /usr/share/doc/libpoppler-glib-dev/html; LP: #226677.
  * New upstream stable release; bug fixes, no API change.
  * New patch, 60_manpages-cfg-flag, drop unimplemented -cfg flag from man
    pages; FreeDesktop #17222; closes: #461961.
  * Rename patch 001_jpxstream_int_crash to 10_jpxstream_int_crash as we don't
    have that many patches; also add upstream bug id (FreeDesktop #5667) and
    refresh to apply cleanly.
  * Build-dep on pkg-config >= 0.18 to make sure -lpoppler is only in
    poppler-qt's Libs.private (it already is though); closes: #360595.

 -- Loic Minier <lool@dooz.org>  Fri, 01 Aug 2008 15:04:05 +0200

poppler (0.8.5-1) unstable; urgency=low

  * New upstream release; no API changes, misc fixes.
    - Initializes pageWidgets in Page.cc, otherwise it can be a rubbish
      pointer as Annots is not a valid object; upstream commit
      fd0bf8b05cb155e2f29df31fa01964b12e710b89; CVE-2008-2950;
      closes: #489756.

 -- Loic Minier <lool@dooz.org>  Wed, 30 Jul 2008 14:52:42 +0200

poppler (0.8.4-1) unstable; urgency=low

  * New upstream release; no API change.
    - Fixes crash when reloading PDFs; GNOME #536482; closes: 484160.

 -- Loic Minier <lool@dooz.org>  Mon, 30 Jun 2008 10:44:16 +0200

poppler (0.8.3-1) unstable; urgency=low

  * New upstream release. Closes: #487214.


=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: Ricky Brent <debpkg@rickybrent.com>
XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Josselin Mouette <joss@debian.org>,
           Dave Beckett <dajobe@debian.org>,
           Ross Burton <ross@debian.org>
Build-Depends: cdbs (>= 0.4.52),
               debhelper (>= 5),
               quilt,
               autotools-dev,
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.6),
               libgtk2.0-dev (>= 2.12),
               libfontconfig1-dev,
               libglade2-dev,
               libcairo2-dev (>= 1.8.4),
               libopenjpeg-dev,
               libjpeg-dev,
               libpng-dev,
               liblcms-dev,
               libfreetype6-dev,
               libxml2-dev,
               gtk-doc-tools (>= 1.0),
               pkg-config (>= 0.18),
               libglib2.0-doc,
               maemo-optify
Standards-Version: 3.8.1

Package: libpoppler5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the shared library.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Depends: libpoppler5 (= ${binary:Version}),
         libfontconfig1-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using Poppler.

Package: libpoppler-glib4
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: libpoppler-glib4 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.12),
         libpango1.0-dev,
         libcairo2-dev (>= 1.8.4),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides a GLib-style interface to Poppler.

Package: poppler-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ghostscript
Conflicts: xpdf-utils,
           pdftohtml (<< 0.36-14)
Replaces: xpdf-utils,
          pdftohtml,
          xpdf-reader
Provides: xpdf-utils,
          pdftohtml
Description: PDF utilitites (based on libpoppler)
 This package contains pdftops (PDF to PostScript converter), pdfinfo
 (PDF document information extractor), pdfimages (PDF image extractor),
 pdftohtml (PDF to HTML converter), pdftotext (PDF to text converter),
 and pdffonts (PDF font analyzer).

Package: poppler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         libpoppler5 (= ${binary:Version}),
         ${shlibs:Depends}
Description: PDF rendering library - detached debugging symbols
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the detached debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include $(CURDIR)/debian/debhelper-opt.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/autotools.mk

# use qt4's moc as the default moc is qt3's when both are installed
PATH := /usr/share/qt4/bin:$(PATH)
export PATH

# a trick to fix xpdfrc location without modifying autotools stuff
DEB_CONFIGURE_SYSCONFDI := /etc/xpdf
# disable gtk stuff to minimize Build-Depends
DEB_CONFIGURE_EXTRA_FLAGS +=			\
	--enable-libjpeg			\
	--enable-splash-output			\
	--enable-cairo-output			\
	--enable-poppler-glib			\
	--disable-poppler-qt			\
	--disable-poppler-qt4			\
	--enable-a4-paper			\
	--enable-gtk-doc			\
	--disable-gtk-test

DEB_DH_MAKESHLIBS_ARGS_libpoppler5 += -V"libpoppler5"
DEB_DH_MAKESHLIBS_ARGS_libpoppler-glib4 += -V"libpoppler-glib4 (>= 0.12)"

## poppler 0.12.4

=== glib/CMakeLists.txt ===
add_definitions(-DG_LOG_DOMAIN=\"Poppler\" ${GLIB2_CFLAGS})

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)
if (CAIRO_FOUND)
  include_directories(${CAIRO_INCLUDES})
  set (CAIRO_FEATURE "#define POPPLER_HAS_CAIRO 1")
  add_definitions(${CAIRO_CFLAGS})
else (CAIRO_FOUND)
  set (CAIRO_FEATURE "#undef POPPLER_HAS_CAIRO")
endif (CAIRO_FOUND)

if (GDK_FOUND)
  add_definitions(${GDK2_CFLAGS})
endif (GDK_FOUND)

configure_file(poppler-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler-features.h @ONLY)

if (GTK_FOUND)
  add_subdirectory(demo)
endif (GTK_FOUND)

set(poppler_glib_public_headers
  poppler-action.h
  poppler-date.h
  poppler-document.h
  poppler-page.h
  poppler-attachment.h
  poppler-form-field.h
  poppler-annot.h
  poppler.h
)

find_program(GLIB2_MKENUMS glib-mkenums)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --fhead \"\#ifndef __POPPLER_TYPE_ENUMS_H__\\n\"
    --fhead \"\#define __POPPLER_TYPE_ENUMS_H__ 1\\n\\n\"
    --fhead \"\#include <glib-object.h>\\n\\n\"
    --fhead \"G_BEGIN_DECLS\\n\\n\"
    --ftail \"G_END_DECLS\\n\\n\"
    --ftail \"\#endif /* __POPPLER_TYPE_ENUMS_H__ */\\n\"
    --fprod \"\\n/* --- @filename@ --- */\"
    --eprod \"\#define POPPLER_TYPE_@ENUMSHORT@ \(@enum_name@_get_type\(\)\)\\n\"
    --eprod \"GType @enum_name@_get_type \(void\) G_GNUC_CONST\;\\n\"
    ${poppler_glib_public_headers} > ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${poppler_glib_public_headers}
)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --fhead \"\#include \\"poppler-enums.h\\"\\n\\n\"
    --fprod \"\\n/* enumerations from \\"@filename@\\" */\"
    --fprod \"\\n\#include \\"@filename@\\"\"
    --vhead \"static const G@Type@Value _@enum_name@_values[] = {\"
    --vprod \"  { @VALUENAME@, \\"@VALUENAME@\\", \\"@valuenick@\\" },\"
    --vtail \"  { 0, NULL, NULL }\\n}\;\\n\\n\"
    --vtail \"GType\\n@enum_name@_get_type \(void\)\\n{\\n\"
    --vtail \"  static GType type = 0\;\\n\\n\"
    --vtail \"  if \(G_UNLIKELY \(type == 0\)\)\\n\"
    --vtail \"    type = g_\@type\@_register_static \(\\"@EnumName@\\", _@enum_name@_values\)\;\\n\\n\"
    --vtail \"  return type\;\\n}\\n\\n\"
    ${poppler_glib_public_headers} > ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${poppler_glib_public_headers} ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
)


set(poppler_glib_SRCS
  poppler-action.cc
  poppler-date.cc
  poppler-document.cc
  poppler-page.cc
  poppler-attachment.cc
  poppler-form-field.cc
  poppler-annot.cc
  poppler-layer.cc
  poppler.cc
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
)
if (CAIRO_FOUND)
  set(poppler_glib_SRCS ${poppler_glib_SRCS}
    ${CMAKE_SOURCE_DIR}/poppler/CairoFontEngine.cc
    ${CMAKE_SOURCE_DIR}/poppler/CairoOutputDev.cc
  )
endif (CAIRO_FOUND)
add_library(poppler-glib SHARED ${poppler_glib_SRCS})
set_target_properties(poppler-glib PROPERTIES VERSION 4.0.0 SOVERSION 4)
target_link_libraries(poppler-glib poppler ${GLIB2_LIBRARIES})
if (CAIRO_FOUND)
  target_link_libraries(poppler-glib ${CAIRO_LIBRARIES})
endif (CAIRO_FOUND)
install(TARGETS poppler-glib RUNTIME DESTINATION bin LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX})

install(FILES
  ${poppler_glib_public_headers}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-features.h
  DESTINATION include/poppler/glib)


if (GDK_FOUND)
  set(test_poppler_glib_SRCS
    test-poppler-glib.cc
  )
  poppler_add_test(test-poppler-glib BUILD_GTK_TESTS ${test_poppler_glib_SRCS})
  target_link_libraries(test-poppler-glib poppler-glib ${GDK2_LIBRARIES})
endif (GDK_FOUND)

=== test/CMakeLists.txt ===

if (ENABLE_SPLASH)

  set (perf_test_SRCS
    perf-test.cc
    perf-test-preview-dummy.cc
  )
  add_executable(perf-test ${perf_test_SRCS})
  target_link_libraries(perf-test poppler)

endif (ENABLE_SPLASH)

if (GTK_FOUND)

  add_definitions(${GTK2_CFLAGS})

  include_directories(
    ${CMAKE_SOURCE_DIR}/glib
    ${CMAKE_BINARY_DIR}/glib
  )

  set (gtk_splash_test_SRCS
    gtk-splash-test.cc
  )
  poppler_add_test(gtk-splash-test BUILD_GTK_TESTS ${gtk_splash_test_SRCS})
  target_link_libraries(gtk-splash-test poppler ${GTK2_LIBRARIES})

  if (HAVE_CAIRO)

    set (gtk_cairo_test_SRCS
      gtk-cairo-test.cc
    )
    poppler_add_test(gtk-cairo-test BUILD_GTK_TESTS ${gtk_cairo_test_SRCS})
    target_link_libraries(gtk-cairo-test poppler-glib ${GTK2_LIBRARIES})

    set (pdf_inspector_SRCS
      pdf-inspector.cc
    )
    poppler_add_test(pdf-inspector BUILD_GTK_TESTS ${pdf_inspector_SRCS})
    target_link_libraries(pdf-inspector poppler-glib ${GTK2_LIBRARIES})

  endif (HAVE_CAIRO)

endif (GTK_FOUND)

set (pdf_fullrewrite_SRCS
  pdf-fullrewrite.cc
)
add_executable(pdf-fullrewrite ${pdf_fullrewrite_SRCS})
target_link_libraries(pdf-fullrewrite poppler)

## poppler 0.14.3

=== CMakeLists.txt ===
project(poppler)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

include(PopplerDefaults)
include(PopplerMacros)
include(MacroOptionalFindPackage)
find_package(PkgConfig)
include(MacroEnsureVersion)
include(MacroBoolTo01)
find_package(Threads)

set(POPPLER_MAJOR_VERSION "0")
set(POPPLER_MINOR_VERSION "14")
set(POPPLER_MICRO_VERSION "3")
set(POPPLER_VERSION "${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")

# command line switches
option(ENABLE_XPDF_HEADERS "Install unsupported xpdf headers." OFF)
option(BUILD_GTK_TESTS "Whether compile the GTK+ test programs." ON)
option(BUILD_QT3_TESTS "Whether compile the Qt3 test programs." ON)
option(BUILD_QT4_TESTS "Whether compile the Qt4 test programs." ON)
option(BUILD_CPP_TESTS "Whether compile the CPP test programs." ON)
option(ENABLE_SPLASH "Build the Splash graphics backend." ON)
option(ENABLE_UTILS "Compile poppler command line utils." ON)
option(ENABLE_CPP "Compile poppler cpp wrapper." ON)
option(ENABLE_ABIWORD "Build the Abiword backend." ON)
option(ENABLE_LIBOPENJPEG "Use libopenjpeg for JPX streams." ON)
option(ENABLE_LCMS "Use liblcms for color management." ON)
option(ENABLE_LIBCURL "Build libcurl based HTTP support." OFF)
option(ENABLE_ZLIB "Build with zlib (not totally safe)." OFF)
option(USE_EXCEPTIONS "Throw exceptions to deal with not enough memory and similar problems." OFF)
option(USE_FIXEDPOINT "Use fixed point arithmetic in the Splash backend" OFF)
option(USE_FLOAT "Use single precision arithmetic in the Splash backend" OFF)
if(WIN32)
  option(ENABLE_RELOCATABLE "Hardcode the poppler library location (on Windows)." ON)
else(WIN32)
  set(ENABLE_RELOCATABLE OFF)
endif(WIN32)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")

if(WIN32)
  set(_default_fontconfiguration "win32")
else(WIN32)
  set(_default_fontconfiguration "fontconfig")
endif(WIN32)
set(FONT_CONFIGURATION "${_default_fontconfiguration}" CACHE STRING "The font configuration backend (win32|fontconfig).")
string(TOLOWER "${FONT_CONFIGURATION}" font_configuration)
set(WITH_FONTCONFIGURATION_WIN32 OFF)
set(WITH_FONTCONFIGURATION_FONTCONFIG OFF)
if(font_configuration STREQUAL "win32")
  set(WITH_FONTCONFIGURATION_WIN32 ON)
elseif(font_configuration STREQUAL "fontconfig")
  set(WITH_FONTCONFIGURATION_FONTCONFIG ON)
else(font_configuration STREQUAL "win32")
  message(FATAL_ERROR "Invalid font configuration setting: ${FONT_CONFIGURATION}")
endif(font_configuration STREQUAL "win32")

# Enable these unconditionally.
set(MULTITHREADED ON)
set(OPI_SUPPORT ON)
set(TEXTOUT_WORD_LIST ON)

# setting the minimum required versions for some components
set(QT3_MIN_VERSION "3.3.0")
set(QT4_MIN_VERSION "4.4.0")
set(CAIRO_VERSION "1.8.4")
set(GLIB_REQUIRED "2.18")

macro_bool_to_01(ENABLE_SPLASH HAVE_SPLASH)
find_package(Freetype REQUIRED)
if(WITH_FONTCONFIGURATION_FONTCONFIG)
  find_package(Fontconfig REQUIRED)
endif(WITH_FONTCONFIGURATION_FONTCONFIG)
macro_optional_find_package(JPEG)
macro_optional_find_package(PNG)
if(JPEG_FOUND)
  set(ENABLE_LIBJPEG ${JPEG_FOUND})
endif(JPEG_FOUND)
macro_optional_find_package(Qt3)
macro_optional_find_package(Qt4)
macro_optional_find_package(Cairo ${CAIRO_VERSION})
if(CAIRO_FOUND)
  set(HAVE_CAIRO ${CAIRO_FOUND})
  set(CAIRO_FEATURE "#define POPPLER_HAS_CAIRO 1")
  set(CAIRO_REQ "cairo")
  set(POPPLER_GLIB_DISABLE_DEPRECATED "")
  set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "")
  macro_optional_find_package(GLIB)
  if(GLIB_FOUND)
    set(ENABLE_GLIB ON)
    set(GLIB_REQ "glib-2.0 >= ${GLIB_REQUIRED} gobject-2.0 >= ${GLIB_REQUIRED} cairo >= ${CAIRO_VERSION}")
    set(POPPLER_GLIB_DISABLE_DEPRECATED "${POPPLER_GLIB_DISABLE_DEPRECATED} -DG_DISABLE_DEPRECATED")
    set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "${POPPLER_GLIB_DISABLE_SINGLE_INCLUDES} -DG_DISABLE_SINGLE_INCLUDES")
    macro_optional_find_package(GDK)
    macro_optional_find_package(GTK)
    if(GDK_FOUND)
      set(GDK_REQ "gdk-2.0 gdk-pixbuf-2.0")
      set(POPPLER_WITH_GDK ${GDK_FOUND})
      set(GDK_FEATURE "#define POPPLER_WITH_GDK 1")
      set(POPPLER_GLIB_DISABLE_DEPRECATED "${POPPLER_GLIB_DISABLE_DEPRECATED} -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED")
      set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "${POPPLER_GLIB_DISABLE_SINGLE_INCLUDES} -DGTK_DISABLE_SINGLE_INCLUDES")
    endif(GDK_FOUND)
  endif(GLIB_FOUND)
else(CAIRO_FOUND)
  set(CAIRO_FEATURE "#undef POPPLER_HAS_CAIRO")
endif(CAIRO_FOUND)
if(ENABLE_CPP)
  macro_optional_find_package(Iconv)
  set(ENABLE_CPP ${ICONV_FOUND})
  set(HAVE_ICONV ${ICONV_FOUND})
endif(ENABLE_CPP)
if(ENABLE_ZLIB)
  find_package(ZLIB)
  if(ZLIB_FOUND)
    set(HAVE_LIBZ ${ZLIB_FOUND})
  endif(ZLIB_FOUND)
  set(ENABLE_ZLIB ${ZLIB_FOUND})
endif(ENABLE_ZLIB)
if(ENABLE_ABIWORD)
  find_package(LibXml2)
  set(ENABLE_ABIWORD ${LIBXML2_FOUND})
endif(ENABLE_ABIWORD)
if(ENABLE_LIBOPENJPEG)
  find_package(LIBOPENJPEG)
  set(ENABLE_LIBOPENJPEG ${LIBOPENJPEG_FOUND})
  set(HAVE_OPENJPEG_H ON)
endif(ENABLE_LIBOPENJPEG)
if(ENABLE_LCMS)
  find_package(LCMS)
  set(USE_CMS ${LCMS_FOUND})
endif(ENABLE_LCMS)
if(ENABLE_LIBCURL)
  find_package(CURL)
  include_directories(${CURL_INCLUDE_DIR})
  set(POPPLER_HAS_CURL_SUPPORT ON)
endif(ENABLE_LIBCURL)

add_definitions(-DHAVE_CONFIG_H=1)
if(FONTCONFIG_FOUND)
  add_definitions(${FONTCONFIG_DEFINITIONS})
endif(FONTCONFIG_FOUND)
if(WITH_FONTCONFIGURATION_WIN32)
  if(MINGW)
    # Set the minimum required Internet Explorer version to 5.0
    add_definitions(-D_WIN32_IE=0x0500)
  endif(MINGW)
endif(WITH_FONTCONFIGURATION_WIN32)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/fofi
  ${CMAKE_CURRENT_SOURCE_DIR}/goo
  ${CMAKE_CURRENT_SOURCE_DIR}/poppler
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler
  ${FREETYPE_INCLUDE_DIRS}
)
set(HAVE_FREETYPE_H ON)
if(CMAKE_USE_PTHREADS_INIT)
  set(HAVE_PTHREAD ON)
endif(CMAKE_USE_PTHREADS_INIT)

if(ENABLE_ZLIB)
  include_directories(${ZLIB_INCLUDE_DIR})
endif(ENABLE_ZLIB)
if(JPEG_FOUND)
  include_directories(${JPEG_INCLUDE_DIR})
  set(ENABLE_LIBJPEG ON)
endif(JPEG_FOUND)
if(PNG_FOUND)
  include_directories(${PNG_INCLUDE_DIR})
  set(ENABLE_LIBPNG ON)
endif(PNG_FOUND)
if(ENABLE_ABIWORD)
  include_directories(${LIBXML2_INCLUDE_DIR})
  add_definitions(${LIBXML2_DEFINITIONS})
endif(ENABLE_ABIWORD)
if(LIBOPENJPEG_FOUND)
  include_directories(${LIBOPENJPEG_INCLUDE_DIR})
endif(LIBOPENJPEG_FOUND)
if(LCMS_FOUND)
  include_directories(${LCMS_INCLUDE_DIR})
endif(LCMS_FOUND)

if(DEFINED COMPILE_WARNINGS)
else(DEFINED COMPILE_WARNINGS)
  set(COMPILE_WARNINGS "yes")
endif(DEFINED COMPILE_WARNINGS)
string(TOLOWER "${COMPILE_WARNINGS}" _comp_warnings)
if(_comp_warnings STREQUAL "no")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_NO} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "no")
if(_comp_warnings STREQUAL "yes")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_YES} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "yes")
if(_comp_warnings STREQUAL "kde")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_KDE} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "kde")


include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(poppler/poppler-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler/poppler-config.h)


set(poppler_SRCS
  goo/gfile.cc
  goo/gmempp.cc
  goo/GooHash.cc
  goo/GooList.cc
  goo/GooTimer.cc
  goo/GooString.cc
  goo/gmem.cc
  goo/FixedPoint.cc
  goo/PNGWriter.cc
  goo/JpegWriter.cc
  goo/ImgWriter.cc
  goo/gstrtod.cc
  fofi/FoFiBase.cc
  fofi/FoFiEncodings.cc
  fofi/FoFiTrueType.cc
  fofi/FoFiType1.cc
  fofi/FoFiType1C.cc
  poppler/Annot.cc
  poppler/Array.cc
  poppler/BuiltinFont.cc
  poppler/BuiltinFontTables.cc
  poppler/CachedFile.cc
  poppler/Catalog.cc
  poppler/CharCodeToUnicode.cc
  poppler/CMap.cc
  poppler/DateInfo.cc
  poppler/Decrypt.cc
  poppler/Dict.cc
  poppler/Error.cc
  poppler/FileSpec.cc
  poppler/FontEncodingTables.cc
  poppler/Form.cc
  poppler/FontInfo.cc
  poppler/Function.cc
  poppler/Gfx.cc
  poppler/GfxFont.cc
  poppler/GfxState.cc
  poppler/GlobalParams.cc
  poppler/JArithmeticDecoder.cc
  poppler/JBIG2Stream.cc
  poppler/Lexer.cc
  poppler/Link.cc
  poppler/LocalPDFDocBuilder.cc
  poppler/NameToCharCode.cc
  poppler/Object.cc
  poppler/OptionalContent.cc
  poppler/Outline.cc
  poppler/OutputDev.cc
  poppler/Page.cc
  poppler/PageTransition.cc
  poppler/Parser.cc
  poppler/PDFDoc.cc
  poppler/PDFDocEncoding.cc
  poppler/PDFDocFactory.cc
  poppler/PopplerCache.cc
  poppler/ProfileData.cc
  poppler/PreScanOutputDev.cc
  poppler/PSTokenizer.cc
  poppler/Stream.cc
  poppler/strtok_r.cpp
  poppler/UnicodeMap.cc
  poppler/UnicodeTypeTable.cc
  poppler/XRef.cc
  poppler/PSOutputDev.cc
  poppler/TextOutputDev.cc
  poppler/PageLabelInfo.cc
  poppler/SecurityHandler.cc
  poppler/StdinCachedFile.cc
  poppler/StdinPDFDocBuilder.cc
  poppler/Sound.cc
  poppler/XpdfPluginAPI.cc
  poppler/Movie.cc
  poppler/Rendition.cc
)
set(poppler_LIBS ${FREETYPE_LIBRARIES})
if(ENABLE_SPLASH)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/SplashOutputDev.cc
    splash/Splash.cc
    splash/SplashBitmap.cc
    splash/SplashClip.cc
    splash/SplashFTFont.cc
    splash/SplashFTFontEngine.cc
    splash/SplashFTFontFile.cc
    splash/SplashFont.cc
    splash/SplashFontEngine.cc
    splash/SplashFontFile.cc
    splash/SplashFontFileID.cc
    splash/SplashPath.cc
    splash/SplashPattern.cc
    splash/SplashScreen.cc
    splash/SplashState.cc
    splash/SplashT1Font.cc
    splash/SplashT1FontEngine.cc
    splash/SplashT1FontFile.cc
    splash/SplashXPath.cc
    splash/SplashXPathScanner.cc
  )
endif(ENABLE_SPLASH)
if(FONTCONFIG_FOUND)
  set(poppler_LIBS ${poppler_LIBS} ${FONTCONFIG_LIBRARIES})
endif(FONTCONFIG_FOUND)
if(JPEG_FOUND)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/DCTStream.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${JPEG_LIBRARIES})
endif(JPEG_FOUND)
if(ENABLE_ZLIB)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/FlateStream.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${ZLIB_LIBRARIES})
endif(ENABLE_ZLIB)
if(ENABLE_LIBCURL)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/CurlCachedFile.cc
    poppler/CurlPDFDocBuilder.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${CURL_LIBRARIES})
endif(ENABLE_LIBCURL)
if(LIBOPENJPEG_FOUND)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/JPEG2000Stream.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${LIBOPENJPEG_LIBRARIES})
else (LIBOPENJPEG_FOUND)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/JPXStream.cc
  )
endif(LIBOPENJPEG_FOUND)
if(USE_CMS)
  set(poppler_LIBS ${poppler_LIBS} ${LCMS_LIBRARIES})
endif(USE_CMS)
if(ENABLE_ABIWORD)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/ABWOutputDev.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${LIBXML2_LIBRARIES})
endif(ENABLE_ABIWORD)
if(WIN32)
  # gdi32 is needed under win32
  set(poppler_LIBS ${poppler_LIBS} gdi32)
endif(WIN32)
if(PNG_FOUND)
  set(poppler_LIBS ${poppler_LIBS} ${PNG_LIBRARIES})
endif(PNG_FOUND)

if(MSVC)
add_definitions(-D_CRT_SECURE_NO_WARNINGS)
add_library(poppler STATIC ${poppler_SRCS})
else(MSVC)
add_library(poppler SHARED ${poppler_SRCS})
endif(MSVC)
set_target_properties(poppler PROPERTIES VERSION 7.0.0 SOVERSION 7)
target_link_libraries(poppler ${poppler_LIBS})
target_link_libraries(poppler LINK_INTERFACE_LIBRARIES "")
install(TARGETS poppler RUNTIME DESTINATION bin LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX})

if(ENABLE_XPDF_HEADERS)
  install(FILES
    poppler/Annot.h
    poppler/Array.h
    poppler/BuiltinFont.h
    poppler/BuiltinFontTables.h
    poppler/CachedFile.h
    poppler/Catalog.h
    poppler/CharCodeToUnicode.h
    poppler/CMap.h
    poppler/DateInfo.h
    poppler/Decrypt.h
    poppler/Dict.h
    poppler/Error.h
    poppler/FileSpec.h
    poppler/FontEncodingTables.h
    poppler/FontInfo.h
    poppler/Form.h
    poppler/Function.cc
    poppler/Function.h
    poppler/Gfx.h
    poppler/GfxFont.h

## poppler 0.16.4

=== debian/changelog ===
poppler (0.16.4-0ubuntu1.1) natty-proposed; urgency=low

  * debian/patches/11_set-font-weight-medium.patch: added
    - set FC_WEIGHT_MEDIUM when the font name contains "Medium", LP: #769827

 -- Nobuto MURATA <nobuto@nobuto-murata.org>  Mon, 25 Apr 2011 12:11:24 -0400

poppler (0.16.4-0ubuntu1) natty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@debian.org>  Tue, 05 Apr 2011 16:23:40 +0200

poppler (0.16.3-1ubuntu1) natty; urgency=low

  * Merge with Debian experimental. Remaining Ubuntu changes:
    - debian/control: Lower poppler-data to Suggests: (handled by
      language-selector).
    - Add 10_fix-a4-page-shift-on-brother-ps-printers.patch: Fix page shifts
      when printing on A4 paper with Brother PostScript printers.
      (LP #293832)
    - debian/control, debian/rules: Disable OpenJPEG, it's in universe.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Mar 2011 10:46:40 +0100

poppler (0.16.3-1) experimental; urgency=low

  [ Pino Toscano ]
  * New upstream release: (Closes: #567817, #585434, #592534, #601179, #611874)
    - fixes thread-unsafe usage of strtok(). (Closes: #533426)
    - pdftohtml correctly rotates images. (Closes: #506785)
    - pdftoppm tests correctly for rotation. (Closes: #614831)
    - fixes text highlighting. (Closes: #463963)
    - fixes image rescaling with cairo. (Closes: #533138)
    - fixes/hides some "Illegal entry in bfrange block in ToUnicode CMap"
      errors. (Closes: #578050)
    - fixes a pdftotext crash. (Closes: #611124)
  * Update patches:
    - 01_revert_abi_change.patch: remove, obsolete
    - 02_autohinting_abi_compatibility.patch: remove, obsolete
    - 03_CVE-2009-3938.patch: add two DEP3 headers (with bug number)
    - 04_security.patch: remove, applied upstream
  * Drop Qt 3 frontend, unused in Debian (and will no more be provided with
    Poppler 0.18). (Closes: #604370, #558951)
  * Rename packages according to the new SONAMEs:
    - libpoppler5 -> libpoppler13
    - libpoppler-glib4 -> libpoppler-glib6
  * Update shlib depends for libpoppler-qt4-3.
  * Add packages for the new CPP frontend (libpoppler-cpp0).
  * Update build-dependencies and dependencies:
    - Bump libglib2.0-dev, libcairo2-dev, gtk-doc-tools, and libqt4-dev
      to the versions required upstream.
    - Remove obsolete B-D: libqt3-mt-dev, libglade2-dev.
    - libpoppler-glib-dev: add libgtk2.0-dev (Closes: #540582), remove
      libpango1.0-dev.
  * Update configure arguments:
    - Add: --enable-xpdf-headers
    - Remove: --enable-a4-paper
  * Update copyright, adding a small clarifying text that the Poppler license
    is GPL v2 only. (Closes: #611259)
  * Bump debhelper compatibility to 7:
    - Update .install files accordingly.
  * libpoppler-dev.install: Avoid installing all the poppler private headers
    (even those that will not work), but rely on what poppler installs
    and manually copy the few "useful".
  * rules: include /usr/share/cdbs/1/rules/utils.mk for list-missing.
  * Add myself to the Uploaders.
  * Add Homepage field in control.
  * Improve descriptions of most of the packages.

  [ Michael Gilbert ]
  * Recommend poppler-data (closes: #584503).
  * Fix a typo (closes: #582527).
  * Update to source format 3.0 (quilt).
    - Drop explicit quilt dependency.
  * Bump standards version to 3.8.4 (no changes required).
  * Add copyright dates to copyright file as stated in README-XPDF.
  * Add manpage for pdftoabw (closes: #505147).

 -- Josselin Mouette <joss@debian.org>  Thu, 03 Mar 2011 22:14:46 +0100

poppler (0.12.4-1.2) unstable; urgency=medium

  * Non-maintainer upload by the Security Team
  * Fix CVE-2010-3702, CVE-2010-3703, CVE-2010-3704 and several crashers
    (Closes:#599165)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sat, 23 Oct 2010 15:59:04 +0200

poppler (0.12.4-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Do not conflict with newer versions of xpdf-utils (closes: #586620).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 06 Aug 2010 18:51:54 -0400

poppler (0.12.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Qt requirements.

 -- Josselin Mouette <joss@debian.org>  Fri, 16 Apr 2010 19:22:34 +0200

=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Josselin Mouette <joss@debian.org>,
           Dave Beckett <dajobe@debian.org>,
           Ross Burton <ross@debian.org>,
           Pino Toscano <pino@kde.org>
Build-Depends: cdbs (>= 0.4.52),
               debhelper (>= 7),
               autotools-dev,
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.18),
               libgtk2.0-dev (>= 2.12),
               libfontconfig1-dev,
               libqt4-dev (>= 4.4.0),
               libcairo2-dev (>= 1.10.0),
               libjpeg-dev,
               libpng-dev,
               liblcms-dev,
               libfreetype6-dev,
               libxml2-dev,
               gtk-doc-tools (>= 1.14),
               pkg-config (>= 0.18),
               libglib2.0-doc
Standards-Version: 3.8.4
Homepage: http://poppler.freedesktop.org/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/poppler/ubuntu

Package: libpoppler13
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: poppler-data
Description: PDF rendering library
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the shared core library.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Depends: libpoppler13 (= ${binary:Version}),
         libfontconfig1-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using Poppler.

Package: libpoppler-glib6
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: libpoppler-glib6 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.18),
         libcairo2-dev (>= 1.10.0),
         libgtk2.0-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the GLib-based Poppler interface.

Package: libpoppler-qt4-3
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (Qt 4 based shared library)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides the Qt 4 based shared library for applications
 using the Qt 4 interface to Poppler.

Package: libpoppler-qt4-dev
Architecture: any
Section: libdevel
Depends: libpoppler-qt4-3 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         libqt4-dev (>= 4.4.0),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (Qt 4 interface)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the Qt 4-based Poppler interface.

Package: libpoppler-cpp0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (CPP shared library)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides the CPP shared library for applications
 using a simple C++ interface (using STL, and other dependency) to Poppler.

Package: libpoppler-cpp-dev
Architecture: any
Section: libdevel
Depends: libpoppler-cpp0 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (CPP interface)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the C++ Poppler interface.

Package: poppler-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ghostscript
Conflicts: xpdf-utils (<= 3.02-2),
           pdftohtml (<< 0.36-14)
Replaces: xpdf-utils,
          pdftohtml,
          xpdf-reader
Provides: xpdf-utils,
          pdftohtml
Description: PDF utilities (based on Poppler)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains command line utilities (based on Poppler) for getting
 information of PDF documents or convert them to other formats:
  * pdffonts -- font analyzer
  * pdfimages -- image extractor
  * pdfinfo -- document information
  * pdftoabw -- PDF to Abiword converter
  * pdftohtml -- PDF to HTML converter
  * pdftoppm -- PDF to PPM/PNG/JPEG image converter
  * pdftops -- PDF to PostScript (PS) converter
  * pdftotext -- text extraction

Package: poppler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         libpoppler13 (= ${binary:Version}),
         ${shlibs:Depends}
Description: PDF rendering library -- debugging symbols
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the debugging symbols for all the Poppler libraries
 and the utilities.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

# use qt4's moc as the default moc is qt3's when both are installed
PATH := /usr/share/qt4/bin:$(PATH)
export PATH

# a trick to fix xpdfrc location without modifying autotools stuff
DEB_CONFIGURE_SYSCONFDIR := /etc/xpdf

# disable gtk stuff to minimize Build-Depends
DEB_CONFIGURE_EXTRA_FLAGS +=			\
	--enable-libjpeg			\
	--disable-openjpeg			\
	--enable-splash-output			\
	--enable-cairo-output			\
	--enable-poppler-glib			\
	--enable-poppler-qt4			\
	--enable-poppler-cpp			\
	--enable-gtk-doc			\
	--enable-xpdf-headers			\
	--disable-poppler-qt			\
	--disable-gtk-test

DEB_DH_MAKESHLIBS_ARGS_libpoppler13 += -V"libpoppler13"
DEB_DH_MAKESHLIBS_ARGS_libpoppler-glib6 += -V"libpoppler-glib6 (>= 0.16)"
DEB_DH_MAKESHLIBS_ARGS_libpoppler-qt4-3 += -V"libpoppler-qt4-3 (>= 0.16)"
DEB_DH_MAKESHLIBS_ARGS_libpoppler-cpp0 += -V"libpoppler-cpp0 (>= 0.16)"

## poppler 0.16.7

=== debian/changelog ===
poppler (0.16.7-3) unstable; urgency=low

  [ Michael Gilbert ]
  * Bump standards to 3.9.2.
  * Remove automatically generated glib reference files in clean rule (this
    prevents automatic generation of a debian patch on a second build run.

  [ Pino Toscano ]
  * Switch to my @debian.org address, I'm a DD now.
  * Add a libpoppler-private-dev package: it will contain the private
    poppler core headers, but at the moment it is empty to allow sources
    to migrate their (build-)dependencies from libpoppler-dev to it.
  * control: add Vcs-Browser and Vcs-Git headers.
  * control: fix some of the conflict/replaces relations in poppler-utils:
    - xpdf-utils: properly set the version for it, and turn into a
      breaks/replaces (see also #586620)
    - pdftohtml: remove the version, since any newer version would always
      conflict with the one in poppler-utils

 -- Pino Toscano <pino@debian.org>  Fri, 10 Feb 2012 23:59:28 +0100

poppler (0.16.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Pino Toscano <pino@kde.org>  Fri, 01 Jul 2011 22:29:43 +0200

poppler (0.16.7-1) experimental; urgency=low

  * New upstream release.
  * Make sure to really disable the gobject introspection for configure.
  * Few touches to descriptions:
    - Fix typo in libpoppler-cpp0.
    - Correctly capitalize "Xpdf".
  * Update copyright.
  * Enable as-needed linking:
    - Import the ltmain-as-needed.diff (refreshed) patch to allow to pass
      -Wl,--as-needed at the beginning of autotools linking lines
    - set LDFLAGS to "-Wl,--as-needed"
  * Drop abiword support, buggy and dropped in Poppler 0.18:
    (Closes: #521456, #618634)
    - rules: add --disable-abiword-output
    - control: remove the libxml2-dev build-dependency and the pdftoabw
      references in the poppler-utils description
    - drop patch 03_CVE-2009-3938.patch, no more needed now
    - drop pdftoabw.1 manpage
    - libpoppler-dev.install: stop installing ABWOutputDev.h

 -- Pino Toscano <pino@kde.org>  Fri, 01 Jul 2011 00:47:07 +0200

=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Josselin Mouette <joss@debian.org>,
           Dave Beckett <dajobe@debian.org>,
           Ross Burton <ross@debian.org>,
           Pino Toscano <pino@debian.org>
Build-Depends: cdbs (>= 0.4.52),
               debhelper (>= 7),
               autotools-dev,
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.18),
               libgtk2.0-dev (>= 2.12),
               libfontconfig1-dev,
               libqt4-dev (>= 4.4.0),
               libcairo2-dev (>= 1.10.0),
               libopenjpeg-dev,
               libjpeg-dev,
               libpng-dev,
               liblcms-dev,
               libfreetype6-dev,
               gtk-doc-tools (>= 1.14),
               pkg-config (>= 0.18),
               libglib2.0-doc
Standards-Version: 3.9.2
Homepage: http://poppler.freedesktop.org/
Vcs-Git: git://git.debian.org/pkg-freedesktop/poppler.git
Vcs-Browser: http://git.debian.org/?p=pkg-freedesktop/poppler.git

Package: libpoppler13
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: poppler-data
Description: PDF rendering library
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the shared core library.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Depends: libpoppler13 (= ${binary:Version}),
         libfontconfig1-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using Poppler.

Package: libpoppler-private-dev
Architecture: any
Section: libdevel
Depends: libpoppler-dev (= ${binary:Version}),
         ${misc:Depends}
Description: PDF rendering library -- private development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the private and unstable headers needed to build
 applications using the private Poppler core library.
 (At the moment this package is empty, allowing the migration of sources
 to this package instead of libpoppler-dev.)

Package: libpoppler-glib6
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: libpoppler-glib6 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.18),
         libcairo2-dev (>= 1.10.0),
         libgtk2.0-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the GLib-based Poppler interface.

Package: libpoppler-qt4-3
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (Qt 4 based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the Qt 4 based shared library for applications
 using the Qt 4 interface to Poppler.

Package: libpoppler-qt4-dev
Architecture: any
Section: libdevel
Depends: libpoppler-qt4-3 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         libqt4-dev (>= 4.4.0),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (Qt 4 interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the Qt 4-based Poppler interface.

Package: libpoppler-cpp0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (CPP shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the CPP shared library for applications
 using a simple C++ interface (using STL, and no other dependency) to Poppler.

Package: libpoppler-cpp-dev
Architecture: any
Section: libdevel
Depends: libpoppler-cpp0 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (CPP interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the C++ Poppler interface.

Package: poppler-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ghostscript
Breaks: xpdf-utils (<< 3.02-2~)
Conflicts: pdftohtml
Replaces: xpdf-utils (<< 3.02-2~),
          pdftohtml,
          xpdf-reader
Provides: xpdf-utils,
          pdftohtml
Description: PDF utilities (based on Poppler)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains command line utilities (based on Poppler) for getting
 information of PDF documents or convert them to other formats:
  * pdffonts -- font analyzer
  * pdfimages -- image extractor
  * pdfinfo -- document information
  * pdftohtml -- PDF to HTML converter
  * pdftoppm -- PDF to PPM/PNG/JPEG image converter
  * pdftops -- PDF to PostScript (PS) converter
  * pdftotext -- text extraction

Package: poppler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         libpoppler13 (= ${binary:Version}),
         ${shlibs:Depends}
Description: PDF rendering library -- debugging symbols
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the debugging symbols for all the Poppler libraries
 and the utilities.

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,15 @@
 PATH := /usr/share/qt4/bin:$(PATH)
 export PATH
 
+# avoid overlinking and reduce library dependencies
+export LDFLAGS := -Wl,--as-needed
+
 # a trick to fix xpdfrc location without modifying autotools stuff
 DEB_CONFIGURE_SYSCONFDIR := /etc/xpdf
 
 # disable gtk stuff to minimize Build-Depends
 DEB_CONFIGURE_EXTRA_FLAGS +=			\
 	--enable-libjpeg			\
-	--disable-openjpeg			\
 	--enable-splash-output			\
 	--enable-cairo-output			\
 	--enable-poppler-glib			\
@@ -23,9 +25,15 @@
 	--enable-gtk-doc			\
 	--enable-xpdf-headers			\
 	--disable-poppler-qt			\
+	--enable-introspection=no		\
+	--disable-abiword-output		\
 	--disable-gtk-test
 
 DEB_DH_MAKESHLIBS_ARGS_libpoppler13 += -V"libpoppler13"
 DEB_DH_MAKESHLIBS_ARGS_libpoppler-glib6 += -V"libpoppler-glib6 (>= 0.16)"
 DEB_DH_MAKESHLIBS_ARGS_libpoppler-qt4-3 += -V"libpoppler-qt4-3 (>= 0.16)"
 DEB_DH_MAKESHLIBS_ARGS_libpoppler-cpp0 += -V"libpoppler-cpp0 (>= 0.16)"
+
+clean::
+	dh_clean
+	rm -f glib/reference/html/*
